package org.foxarmy.barcodescannerforemployees.views

import android.app.Activity
import android.content.Context
import android.view.LayoutInflater
import android.widget.LinearLayout
import android.widget.TextView
import androidx.core.content.ContextCompat
import org.foxarmy.barcodescannerforemployees.Category
import org.foxarmy.barcodescannerforemployees.R

class CategoryView : LinearLayout {
    var category: Category
    val categoryName: TextView
    val amountOfProducts: TextView
    var isCategorySelected = false
//    val updateButton: Button
//    val deleteButton: Button

    constructor(activity: Activity, context: Context, category: Category) : super(context) {
        this.category = category

        val inflater: LayoutInflater = activity.layoutInflater
        inflater.inflate(R.layout.category_view, this)

        this.background = ContextCompat.getDrawable(context, if (isCategorySelected) R.drawable.outline_selected else R.drawable.outline)

        categoryName = findViewById(R.id.categoryNameTextView)
        amountOfProducts = findViewById(R.id.amountOfProducts)
//        updateButton = findViewById(R.id.updateButton)
//        deleteButton = findViewById(R.id.deleteButton)

        categoryName.text = category.name

        setOnLongClickListener {
            isCategorySelected = !isCategorySelected
            this.background = ContextCompat.getDrawable(context, if (isCategorySelected) R.drawable.outline_selected else R.drawable.outline)
            true
        }

//        updateButton.setOnClickListener {
//            val addCategoryIntent = Intent(context, AddCategoryActivity::class.java)
//            val extras = Bundle()
//            extras.putInt("categoryid", category.id)
//            extras.putString("categoryname", category.name)
//            addCategoryIntent.putExtras(extras)
//            ContextCompat.startActivity(context, addCategoryIntent, extras)
//        }
//
//        deleteButton.setOnClickListener {
//            val builder = AlertDialog.Builder(context)
//                .setMessage("Deleting this category will also delete ALL the products, that belong to that category. Do you want to proceed?")
//                .setPositiveButton("Yes") { _: DialogInterface, _: Int ->
//                    val db = DBStorageController(context).writableDatabase
//                    DBStorageController(context).eraseCategory(db, category.id, context)
//
//                }
//                .setNegativeButton("No") { _: DialogInterface, _: Int ->
//
//                }.show()
//        }
    }
}